<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>Hello ITEA React</title>
	</head>
	<body>
		<h1>Hello ITEA React</h1>
	</body>
	<!-- <script src="js/main.js"></script> -->
	<script>
		document.addEventListener('DOMContentLoaded', () => {


			class Post {

				constructor( text, author ){

					this.id = new Date().getTime();
					this.text = text;
					this.author = author;
					this.date = new Date();
					this.likes = 0;

					this.addLike = this.addLike.bind(this);
				}

				addLike(){

					this.likes++;
					console.log('likes', this.likes );

					// this.node.querySelector('._btn').innerHTML = `Like! (${this.likes})`;
					this.render( document.body );

				}

				render( target ){
					let node = null;
					
					if( this.node ){
						node = this.node;
					} else {
						node = document.createElement('div');
						this.node = node;
					}

					node.innerHTML = `
						<<b> ${this.author }</b>>
						<div>
							${this.text}
						</div>
						<button class="_btn"> Like! (${this.likes})</button>
					`;
					
					node.querySelector('._btn').addEventListener('click', this.addLike );


					target.appendChild( node );
					
				}


			}
			

			const superPost = new Post("Lorem", "Ipsum");
			superPost.render( document.body );

			console.log( superPost );

		
		});
	</script>
</html>
